> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter self

> Obtenha informações sobre a chave de API autenticada

Requer a chave de API pessoal de um administrador Enterprise.

Retorna informações sobre a chave de API autenticada, incluindo o ID da chave, o ID do usuário associado, o e-mail do usuário e o ID da organização.


## OpenAPI

````yaml pt-BR/v2-openapi.yaml GET /v2/enterprise/self
openapi: 3.1.0
info:
  description: API Devin v2 com chaves de API pessoais para administradores do Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/self:
    get:
      tags:
        - self
        - self
      summary: Obter o usuário atual
      operationId: handle_get_self_v2_enterprise_self_get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SelfResponse'
          description: Resposta bem-sucedida
components:
  schemas:
    SelfResponse:
      properties:
        api_key_id:
          title: Api Key Id
          type: string
        org_id:
          title: Org Id
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
      required:
        - api_key_id
        - user_id
        - user_email
        - org_id
      title: SelfResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Chave de API pessoal (apk_user_*) somente para administradores do
        Enterprise
      scheme: bearer
      type: http

````